Copied gpg.texi over from 1.4.5 and started to restructure it into a proper
[gnupg.git] / README.CVS
1 If you are building from CVS, run the script
2
3 ./autogen.sh
4
5 first, to make sure that you have all the necessary maintainer tools
6 are installed and to build the actual configuration files.  Then run
7
8 ./configure --enable-maintainer-mode
9
10 followed by the usual make.
11
12 If autogen.sh complains about insufficient versions of the required
13 tools, or the tools are not installed, you may use environment
14 variables to override the default tool names:
15
16  AUTOMAKE_SUFFIX  is used as a suffix for all tools from the automake
17                   package.  For example 
18                      AUTOMAKE_SUFFIX="-1.7" ./autogen.sh
19                   uses "automake-1.7" and "aclocal-1.7.
20  AUTOMAKE_PREFIX  is used as a prefix for all tools from the automake
21                   page and may be combined with AUTOMAKE_SUFFIX. e.g.:
22                     AUTOMAKE_PREFIX=/usr/foo/bin ./autogen.sh
23                   uses "automake" and "aclocal" in the /usr/foo/bin
24                   directory.
25  AUTOCONF_SUFFIX  is used as a suffix for all tools from the automake
26                   package
27  AUTOCONF_PREFIX  is used as a prefix for all tools from the automake
28                   package
29  GETTEXT_SUFFIX   is used as a suffix for all tools from the gettext
30                   package
31  GETTEXT_PREFIX   is used as a prefix for all tools from the gettext
32                   package
33
34 It is also possible to use the variable name AUTOMAKE, AUTOCONF,
35 ACLOCAL, AUTOHEADER, GETTEXT and MSGMERGE to directly specify the name
36 of the programs to run.  It is however better to use the suffix and
37 prefix forms as described above because that does not require
38 knowledge about the actual tools used by autgen.sh.
39
40
41 Please don't use autopoint, libtoolize or autoreconf unless you are
42 the current maintainer and want to update the standard configuration
43 files.  All those files should be in the CVS and only updated manually
44 if the maintainer decides that newer versions are required.  The
45 maintainer should also make sure that the required version of automake
46 et al. are properly indicated at the top of configure.ac and take care
47 to copy the files and not merely use symlinks.
48
49
50
51